#!/bin/bash
# Ekonsole With Bash v4 Terminal Emulation for EZX
# By Kundan

if [ "$(id -u)" != "0" -a -z "$1" ]
then
  exec /sbin/start-stop-daemon -S -c root:root -x "$0" -- restart
  exit 1
fi
MYFILE=`basename $0`
MYPATH=`echo $0 | sed -e 's/'$MYFILE'//g'`
cd $MYPATH

. /home/native/.profile 2>/dev/null 1>/dev/null
export LD_LIBRARY_PATH=$MYPATH/lib:$LD_LIBRARY_PATH
export HOME=$MYPATH/root
export QTDIR="$MYPATH/qt"
export PS1="# "
export SHELL="$MYPATH/qt/bash4"
if [ ! -x ./ekonsole ]; then
  chmod +x ./ekonsole
fi
exec ./ekonsole
exit 1
